[Feisty] Inaudible audio upon resuming from suspend-to-disk

Bug #80893 reported by Matthew East on 2007-01-21
198
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Declined for Feisty by Henrik Nilsen Omma
Declined for Gutsy by Henrik Nilsen Omma
Hardy
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned
Declined for Feisty by Henrik Nilsen Omma
Declined for Gutsy by Henrik Nilsen Omma
Hardy
Medium
Registry Administrators

Bug Description

Binary package hint: linux-source-2.6.20

Hi there,

I have a Thinkpad T43, and sound disappears after hibernate. I'll attach the output from some debugging.

Matthew East (mdke) wrote :

I'll put the longer outputs in attachments, here are some short ones.

matt@kalliope:~$ tail -2 /proc/asound/oss/sndstat
Mixers:
0: Analog Devices AD1981B

matt@kalliope:~$ asoundconf list
Names of available sound cards:
ICH6

matt@kalliope:~$ cat /proc/interrupts
           CPU0
  0: 8900149 IO-APIC-edge timer
  1: 106965 IO-APIC-edge i8042
  6: 5 IO-APIC-edge floppy
  7: 0 IO-APIC-edge parport0
  8: 3 IO-APIC-edge rtc
  9: 26445 IO-APIC-fasteoi acpi
 12: 2983365 IO-APIC-edge i8042
 14: 96888 IO-APIC-edge libata
 15: 399301 IO-APIC-edge libata
 17: 352806 IO-APIC-fasteoi Intel ICH6
 18: 1 IO-APIC-fasteoi uhci_hcd:usb1, yenta, i915@pci:0000:00:02.0
 20: 29352 IO-APIC-fasteoi uhci_hcd:usb2
 21: 3553576 IO-APIC-fasteoi uhci_hcd:usb3
 22: 5 IO-APIC-fasteoi uhci_hcd:usb4, ehci_hcd:usb5
 23: 628563 IO-APIC-fasteoi ipw2200
NMI: 0
LOC: 8900108
ERR: 0
MIS: 0

Matthew East (mdke) wrote :
Matthew East (mdke) wrote :
Matthew East (mdke) wrote :
Matthew East (mdke) wrote :
Martey Dodoo (martey) wrote :

Is it possible that this is the same issue as bug #78299?

Martey Dodoo (martey) wrote :

Changing to confirmed, because of bug #80968 and the fact I am having this same problem on my T43.

Changed in linux-source-2.6.20:
status: Unconfirmed → Confirmed
Michael R. Head (burner) wrote :

Confirmed on a Thinkpad T30, too.

Michael R. Head (burner) wrote :

Is it possible this is related to bug #78257 too?

Tim Gardner (timg-tpi) on 2007-02-21
Changed in linux-source-2.6.20:
assignee: nobody → timg-tpi
Michael R. Head (burner) wrote :

Still here in linux-image-2.6.20-9-generic

ullix (ullix) wrote :

... and also here in 2.6.20-9-generic with Asrock MB K8NF6G-VSTA with chipset NVIDIA NF-6100-405

Confirmed on an Acer Aspire 1692

topopardo@vayralemine:~$ uname -a
Linux vayralemine 2.6.20-9-generic #2 SMP Mon Feb 26 03:01:44 UTC 2007 i686 GNU/Linux

Note: on Feisty beta3, this bug didn't exist, but after the last kernel update, the sound broke after hibernation

ullix (ullix) wrote :

now what ? after updating to kernel 2.6.20-11-generic I have no sound at all, not even after a cold reboot!
Amarok is playing its visuals, but no sound.

(Asrock MB K8NF6G-VSTA with chipset NVIDIA NF-6100-405)

Guilherme Salgado (salgado) wrote :

I found that rebooting doesn't bring sound back --I had to shutdown, so you may want to try that, ullix. (I have a T60, btw)

Also, the problem doesn't seem to happen when I suspend, so it may be that bug 83509 is not a dupe after all.

Tested it seconds ago on 2.6.20-11-generic with an Acer Aspire 1692. The problem remains the same, no sound after hibernating, and everything works ok when the computer is boot "from scratch"

ullix (ullix) wrote :

I not only did a cold reboot, I even unplugged the MB for >1h before restarting 2.6.20-11 generic -- but no sound.

Restarting 2.6.20-10-generic did give sound!

Looking with Kinfocenter under Sound I found these differences:
-10: (with sound)
Audio devices: HDA Generic
Mixers: Realtek ID862

-11: (no sound)
Audio devices: ALC861VD Analog (Duplex)
Mixers: Realtek ALC861VD

I noticed another difference between the two kernels: My cheap loudspeaker system hums noticeably when unplugged, which still continues when plugged into the switched-off motherboard, but goes away during hardware detection at boot. So when suspending under -10 and -11 the humming restarts when the MB is completely suspended. The difference is that at resume with -10 the humming remains, while at -11 the humming goes away immediately.

Electrically this indicates that during hardware activation the circuitry is going from an "open" (=humming) to a "closed" state (=no humming). This is also correctly happening during resume in -11, but not in -10. In this regard earlier kernels behaved the same as -10 (so at least something promising ;-) )

Martey Dodoo (martey) wrote :

ullix, are you sure that your issue is not bug #92909 ?

ullix (ullix) wrote :

well, this bug report had been on suspend/hibernate problems with audio, and now I can't say whether this is solved because I don't have any sound in the first place.

That is for sure. Otherwise I am not sure on anything but bug #92909 is on a different sound chip. My motherboards is Asrock MB K8NF6G-VSTA with chipset NVIDIA NF-6100-405.

By the way: the very recent Knoppix 5.2 gives sound on my system, but I can't get the x-server working :-/. what is so difficult with this Vista certified MB?

Ben Collins (ben-collins) wrote :

Please retest with -12 kernel.

Changed in linux-source-2.6.20:
status: Confirmed → Needs Info
Michael R. Head (burner) wrote :

The laptop won't even hibernate now. The moon icon flashes for a while, the display goes off, but then immediately (within 10 seconds) comes back on with the gnome-screensaver password prompt. Audio does appear to work after this failed hibernation process, though.

Michael R. Head (burner) wrote :

Here's the output of running dmesg. I attempted three different hibernates, none of the suceeded in turning off the computer. They appeared to hibernate but immediately restarted. Note, this was not a reboot, the bootstrap BIOS screen with the IBM logo never comes up.

Michael R. Head (burner) wrote :

Actually, I think the problem I just described was caused by the swap partition not being turned on. Due to the other bug where swap partitions mount twice, I had removed the UUID line and replaced it with a /dev/hda5 line which no longer works (it needs to be /dev/sda5).

I'll fix this and report back.

Michael R. Head (burner) wrote :

OK, nope, no luck with 2.6.20-12, even with the swap partition on, hibernation still fails. suspend-to-ram works fine, but suspend-to-disk fails. I'll attach another dmesg output.

Changed in linux-source-2.6.20:
status: Needs Info → Confirmed
Stefano Rivera (stefanor) wrote :

I get no audio after hibernate, either. It still works after suspends.

Dmesg shows many suspends, followed by a hibernate, after which the audio didn't function.

ullix (ullix) wrote :

no sound whatsoever with 2.6.20-12 generic. In fact, it behaves EXACTLY the same as with -11, including the observation about humming and closed/open circuitry when cold booting and resuming. (I still get proper sound with -10).

Shouldn't the fact that -11 and -12 are using the same Audio device and Mixer device, and -10 is using a different one (see above), not give a hint to the no-sound problem?

Michael R. Head (burner) wrote :

My hibernation problem may be the same as bug 92461

Matthew East (mdke) wrote :

I'm the original bug reported - afraid I can't test the -12 kernel, because my system won't boot with that one...

Guilherme Salgado (salgado) wrote :

Just tried on a 2.6.21-rc4 kernel and the problem persists, so I'm afraid we won't have this fixed before feisty is released. Has it been reported upstream already? Is there any other debugging we could do to help?

Tim Gardner (timg-tpi) on 2007-03-21
Changed in linux-source-2.6.20:
assignee: timg-tpi → ubuntu-kernel-acpi
importance: Undecided → Low
kovan (jsceballos) wrote :

I'm also having this issue. After hibernation the sound doesn't work, but if I restart the computer it does work. I use 2.6.20-12-generic.

Adam Zieliński (zielus) wrote :

I also have this problem on my IBM R60, I'm using kernel 2.6.20-12. After resuming from hibernation internal speakers don't work, after reboot the sound is still gone. When I turn off the computer and boot Windows XP the sound is still gone. The only solution I have found it to turn off the computer remove battery and ac plug, then plug it again.

Gregg (gclaeys) wrote :

I'have the same problème with my Acer Aspire 1694.
After I hibernate the sound does not work, but as soon as I reboot it works again.
 I 'use the 2.6.20-12-generic kernel

Inside the archive :

codec_after_hibernate.txt (/proc/asound/card0/codec*/* )
dmesg
demidecode
kern.log.0
lspci-vv
lspci-vvn
sndstat_interrupt.txt (tail -2 /proc/asound/oss/sndstat AND cat /proc/interrupts)
uname -a

Sergei Genchev (sgenchev) wrote :

 I have the same (similar?) problem on my Thinkpad T42. No sound after hibernate. To get sound back I need to shut laptop down and start it back up. Reboot does not help - looks like laptop has to be powered down to reset something.
 Suspend to RAM does not kill sound.
 On the same laptop both suspend and hibernate work without any issues with Dapper - have it on another partition.
 There is nothing suspicious in dmesg; rhythmbox/totem/aplay act as they are playing fine. There is just no sound coming from speakers or headphones.

 00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)

Sergei Genchev (sgenchev) wrote :

 Forgot to add to my previous post - I am running edgy , started running at herd 5 (I think 2.6.20-9-generic) and is still present in 2.6.20-13-generic .

Sergei Genchev (sgenchev) wrote :

 Forgot to add to my previous post - I am running feisty , started running at herd 5 (I think 2.6.20-9-generic) and is still present in 2.6.20-13-generic .

Frank Petzold (petzold+ubuntu) wrote :

Confirmed on ThinkPad R50p, kernel 2.6.20-13-generic. Here also, a complete power-off is required to get sound back. Not even Windows can get it back on without a power-off.

kovan (jsceballos) wrote :

I thought it would be useful to add some more info:

k@front242 ~$ uname -a
Linux front242 2.6.20-13-generic #2 SMP Sun Mar 25 00:21:25 UTC 2007 i686 GNU/Linux
k@front242 ~$ lspci | grep audio
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)

I'm on an Acer Travelmate 800.

Guilherme Salgado (salgado) wrote :

Does anybody have a 2.6.19 kernel around to see if it's broken too? If not, maybe an edgy (2.6.17?) one?

zdzichu (zdzichu-gmail) wrote :

It worked fine on Edgy (at least on my ThinkPad Z61t)

Stefano Costa (steko) wrote :

Linux cycnus 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux

Same problem here. Acer Aspire 1650.

Ralf Doering (rdoering) wrote :

Confirmed no sound after hibernate, running on T60 with latest Feisty Kernel and modules. Problem can also be found in vanilla 2.6.20.x from kernel.org, but NOT in vanilla 2.6.19.x. Seems 2.6.20 ist broken somewhere. 2.6.17 from edgy is working too.

Matthew East (mdke) on 2007-05-02
Changed in linux-source-2.6.20:
importance: Low → Medium
68 comments hidden view all 148 comments
Eddie Hung (eddieh) wrote :

I can confirm that changing HIBERNATE_MODE to platform does indeed fix it.

(And for what it's worth, resuming from when it was left on ACPI, and then suspending (to RAM) and resuming again makes the sound work again)

Could I ask what changing it to platform actually does?

Kevin Dupuy (kdupuy9) wrote :

Confirmed in Acer Aspire 3624WXCi

DeweyBaby (djs93) wrote :

Same problem with Toshiba Satellite Pro L30. Tried fixing by changing

HIBERNATE_MODE in /etc/default/acpi-support to:

HIBERNATE_MODE=platform

(now reboots through grub when starting up after hibernation)

But did not work.

Guillaume Duveau (guix) wrote :

Confirming on a Thinkpad Z60t, Feisty kernel 2.6.20-16-generic.
Sound doesn't work after a suspend-to-disk even if I reboot, I have to shutdown and start it again.
The sound still works if I plug my phones in the jack output.
The fix change the HIBERNATE_MODE=platform instead of =shutdown in /etc/default/acpi-support works.

Confirm on a Thinkpad T42, kernel 2.6.20-16-generic on Feisty - hibernating the system and then resuming results in a loss of sound. This is still the case after rebooting. If I shut it down, and start it back up, it works fine. I tested the HIBERNATE_MODE=platform change that others have suggested, and this seems to fix the problem.

shmi85 (shmi85) wrote :

Also confirming this bug for Thinkpad R52 running Fiesty, kernel 2.6.20.16. Hibernate and Suspend both killed the sound; restarting did not help. Booting in Windows XP Professional was fine -- the sound still worked without additional driver download. The HIBERNATE_MODE=platform seemed to do the trick. Sound is now working after Hibernate, mp3, ogg, system sound and embedded video in browser.

Confirming on Packard Bell r1938, which boots with acpi=force irqpoll (suspend-to-ram & wakeup recovers sound as said here)

shmi85 (shmi85) wrote :

Just an update on my Thinkpad R52 running Fiesty. As stated earlier, I tried this fix:

HIBERNATE_MODE in /etc/default/acpi-support to:

HIBERNATE_MODE=platform

as requested by csd. Unfortunately, although it worked for two days, I suspended the machine earlier this afternoon (power-saving mode rather than the powered down shutdown or whatever of hibernate) and now the sound is no longer working, even after a completely shutdown and restart. In addition, occasionally I'm getting an extremely high pitched feedback-like whine from the machine and quieter and lower in pitch whines slightly more frequently, usually when I move the laptop but not always. In the acpi-support file, there's a line refering to the suspend function and changing it from S3 to S1. I'm assuming that has something to do with amount of power conserved and I was hesitant to fiddle with it because I really have no idea what changing the values does.

I'd like to try using the unpatched kernel, since it seemed to work for a lot of people, but I'm very new at running a new linux system and I don't know how to compile and install a new kernel while leaving the rest of the system (GUI settings, etc) unchanged. If anyone's willing to help me out with the specifics of this operation, please feel free to email me at shmi85 at yahoo dot com. Thanks!

weird, shmi85, on my T60 HIBERNATE_MODE=platform does the trick, and
many other success stories come from thinkpad owners.

first, I would try the unpatched kernel, for which Guilherme Salgado has
built a deb package (link above in this thread): download
http://rookery.ubuntu.com/~kyle/kernels/salgado/2007-04-25/linux-image-2.6.20-15-generic_2.6.20-15.28_i386.deb

go to the download location in the shell, and issue the command
$> sudo dpkg -i linux-image-2.6.20-15-generic_2.6.20-15.28_i386.deb

pretty easy, thanks to Guilherme.

since you state thate your sound problem are not fixed by a hard
shutdown, I would also check if the settings of the sound card are
screwed up (no sound could come from a muted channel, and hiss from a
feedback due to the microphone input too loud and not muted).

just issue
$> sudo alsamixer

play around with the levels and see if anything changes.

cheers
m

On Tue, 2007-06-26 at 04:35 +0000, shmi85 wrote:
> Just an update on my Thinkpad R52 running Fiesty. As stated earlier, I
> tried this fix:
>
> HIBERNATE_MODE in /etc/default/acpi-support to:
>
> HIBERNATE_MODE=platform
>
> as requested by csd. Unfortunately, although it worked for two days, I
> suspended the machine earlier this afternoon (power-saving mode rather
> than the powered down shutdown or whatever of hibernate) and now the
> sound is no longer working, even after a completely shutdown and
> restart. In addition, occasionally I'm getting an extremely high pitched
> feedback-like whine from the machine and quieter and lower in pitch
> whines slightly more frequently, usually when I move the laptop but not
> always. In the acpi-support file, there's a line refering to the suspend
> function and changing it from S3 to S1. I'm assuming that has something
> to do with amount of power conserved and I was hesitant to fiddle with
> it because I really have no idea what changing the values does.
>
> I'd like to try using the unpatched kernel, since it seemed to work for
> a lot of people, but I'm very new at running a new linux system and I
> don't know how to compile and install a new kernel while leaving the
> rest of the system (GUI settings, etc) unchanged. If anyone's willing to
> help me out with the specifics of this operation, please feel free to
> email me at shmi85 at yahoo dot com. Thanks!
>

MarkBrier (mark-brier) wrote :

Changing HIBERNATE_MODE to platform on my Thinkpad x31 fixes the problem, I am able to perform a hibernate/resume cycle and sound works fine.

aivarsak (aivarsak) wrote :

Sound disappears after hibernate for me too, I tried almost every suggestion above - nothing resolved this problem.
The only thing I was unable to try is hibernate on Linux -> log in win -> check the sound -> go back to linux - I don`t have win on may laptop, speaking of which - Feisty with 2.6.20-16-generic kernel on IBM R50e.

If boot from live CD, sounds works great. I even reinstalled alsa, nothing helps :(
Could someone please help me to solve this issue?

aivarsak (aivarsak) wrote :

I didn`t found the way to get my sound back. I do not want to reinstall ubuntu, for this purpose I can use windows ;)
Is there anybody with the same problem or more preferably with the solution?
It is pretty annoying to live 2 days without any noise from my laptop except beeps during plug in/out the AC ;)
Please help to get back voice for my computer!

Michael R. Head (burner) wrote :

The HIBERNATE_MODE=platform trick worked great on my Thinkpad T30.

simon H. Rasmussen (simras) wrote :

I run Feisty on a T42.
I have the problem as diagnosed here:

resume_from_disk => no sound
resume_from_RAM => sound
restart => no change (if I had (no)sound before I would have (no)sound after)

and as André Rüdiger described:
>When I plug in/out the AC the computer does a beep.
>While the beep is played (ca 1 sec) the sound works.

The fix changing HIBERNATE_MODE=shutdown to HIBERNATE_MODE=platform in /etc/default/acpi-support worked very well. I don't know if it possibly could introduce other bugs or if it's a true fix.

And thank you all for great input and the fix of course.

st0nes (markwiddicombe) wrote :

New Prolink style-note -- no sound at all:-

Sound Driver:3.8.1a-980706 (ALSA v1.0.14rc1 emulation code)
Kernel: Linux mark-laptop 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686
Config options: 0

Installed drivers:
Type 10: ALSA emulation

Card config:
HDA VIA VT82xx at 0xcb000000 irq 22

Audio devices:
0: HDA Generic (DUPLEX)

Synth devices: NOT ENABLED IN CONFIG

Midi devices: NOT ENABLED IN CONFIG

Timers:
31: system timer

Mixers:
0: Generic 1106 ID 1708

None of foregoing "fixes" works.

Confirmed the "no sound" bug running Feisty on Thinkpad T30, kernel 2.6.20-16-386. I also have a problem with humming speakers when the lid is closed and the volume is set to maximum. Neither of these issues had appeared running Edgy (2.6.17-11-386)

Setting HIBERNATE_MODE to platform probably fixes the sound, but the speakers still hum. Anyway, thanks to all folks who posted their success stories :)

The fix:
[quote]To try this edit /etc/default/acpi-support
and set 'HIBERNATE_MODE=shutdown'
to 'HIBERNATE_MODE=platform'[/quote]
didn't work for me, it made my keyboard disfunctional after hibernation.
But it was worth trying, for installing a new kernel, which did solve the issue for me, for such a problem is like using a bulldozer to kill an ant.

I can confirm the behavior and HIBERNATE_MODE "fix" on my T43p.

Robert (robrwo) wrote :

I can confirm that this change to the HIBERNATE_MODE setting seems to fix the problem for my Z60m.

vieraci (vince-rocktown) wrote :

I've got a T40 with Fiesty Fawn installed and the HIBERNATE_MODE fix did nothing.
Strange thing is when I reboot I get sound on the Username screen, (that's the sound of bongos) and then nothing.
The volume control has a red crossed circle over it, and clicking on it brings up a dialog saying something to the effect:
   "...GStreamer plugin isn't installed or the soundcard isn't configured..."

vieraci (vince-rocktown) wrote :

I figured that something was blocking the sound between login and startup, so I decided to add another user and see what happens. Sure enough, new user had sound. So I went and took a look at my user properties and discovered that somehow I lost all privileges. I gave myself all priveliges, saved, rebooted and now I have sound for both users, even after cycling thru a hibernate.

I have a IBM ThinkpadT41 2379-DJU. I had the exact behavior described through most of this ticket: software thinks that alsa is still active and sound works, but nothing is audible.

I put HIBERNATE_MODE=platform into /etc/default/acpi-support and the problem was resolved.

Just adding a piece of useful information to those trying to close the bug.

Kåre Hviid (ukh) wrote :

I just came to the same conclusion as Bradley above:

Changing from "shutdown" to "platform" for HIBERNATE_MODE is a quick fix for the issue on a fairly recent Lenovo ThinkPad T60, Feisty 2.6.20-16-generic.

Lloyd Dewolf (lloydde) wrote :

$ uname -r
2.6.20-16-generic

Bug still repros on Lenovo ThinkPad T42p (IBM ThinkPad T42p), and workaround HIBERNATE_MODE=platform described above seems to work.

> uname -r
> 2.6.20-16-generic

Laptop : Acer TravelMate 8000

workaround HIBERNATE_MODE=platform __doesn't__ work

Gan (gan-yinghung) wrote :

Bradley's quick fix works for me. Thanks!

2.6.20-16-generic. Feisty. Thinkpad X31.

Mark Stosberg (markstos) wrote :

For me, suspend-to-ram works on a ThinkPad T23 with feisty. However with Gutsy on a ThinkPad T23, sound does not work after a suspend. A friend's ThinkPad T21 also has broken sound-after-suspend on Gutsy.

Henrik Nilsen Omma (henrik) wrote :

This will be retargeted towards the Hardy kernel once it is released. I've tagged this as "hardy-kernel-candidate" so that we make sure to retarget this report once the new release is out. However against the linux-source-2.6.22 package this is being marked as "Won't Fix" as it does not meet the criteria for a stable release update. To learn more about the stable release update process please refer to https://wiki.ubuntu.com/StableReleaseUpdates . Thanks!

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix

Hardy Heron Alpha2 was recently released. It contains an updated version of the kernel. You can download and try the new Hardy Heron Alpha2 release from http://cdimage.ubuntu.com/releases/hardy/alpha-2/ . Please note that you can only test Suspend (Suspend to RAM) from the LiveCD, in order to test Hibernate (Suspend to Disk) you'll have to install. If you you have a free partition or something and can install, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/hardy/alpha2 . Thanks!

Changed in linux:
status: New → Incomplete
Hans Deragon (deragon) wrote :

I confirm that on an HP Compaq nw8240 with Hardy Heron 08.04 Alpha 4 (A4), kernel 2.6.24-7-generic, after both a suspend-to-ram and suspend-to-disk, sound plays nicely.

This problem has been gone for me too in both gutsy and now hardy. I'm closing this bug now. Feel free to reopen this bug (set the status to new) if it is still an issue. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Feel free to submit any future bugs you may find.

Changed in linux:
status: Incomplete → Fix Released
johannes (j00hannes) wrote :

after upgrading to xubuntu hardy hibernation startet working but the problem mentioned here appears too.

Eric Lorenz (eric-emlorenz) wrote :

It appears that I have stumbled across this issue also...I have tried both editing the HIBERNATE-MODE line, complete power down, but not sure about the difference on how to do a 'suspend to disk' vs. 'suspend to RAM'?

IBM T43
Ubuntu 9.04

This is getting really frustrating...it appears that it is thought this issue is fixed, but I cannot fix mine, Any help appreciated.

Eric Lorenz

Changed in linux (Ubuntu):
status: Fix Released → New
lhotari (lartsa) wrote :

Eric,

see
http://www.thinkwiki.org/wiki/Installing_Ubuntu_8.10_%28Intrepid_Ibex%29_on_a_ThinkPad_T61#Sound_.28too_quiet.2C_no_sound_after_resume.29

try adding
options snd-hda-intel model=thinkpad power_save_controller=Y power_save=10

to /etc/modprobe.d/alsa-base

Eric Lorenz (eric-emlorenz) wrote :

I tried adding the line you mentioned...it had no effect after rebooting.

When I opened the file...it was empty until I added this line...could that be right?

The only thing I have not done yet is trying the 'kernel switch'...I am not sure if I need to go there, and I am nervous about doing that as I am afraid I'll break something else that's working?

(Yes, I am relatively new to Linux, and this is the first time I have taken my laptop completely over to Ubuntu. I develop the website for our church, and I need to have audio capability as I work with audio files on the site. If I can't get this to work, this could be a deal-breaker!) :-(

On 05.01.2010 00:26, Eric Lorenz wrote:
> I tried adding the line you mentioned...it had no effect after
> rebooting.
>
> When I opened the file...it was empty until I added this line...could
> that be right?
>
> The only thing I have not done yet is trying the 'kernel switch'...I am
> not sure if I need to go there, and I am nervous about doing that as I
> am afraid I'll break something else that's working?
>
> (Yes, I am relatively new to Linux, and this is the first time I have
> taken my laptop completely over to Ubuntu. I develop the website for our
> church, and I need to have audio capability as I work with audio files
> on the site. If I can't get this to work, this could be a deal-breaker!)
> :-(
>
>
Try workarounds in these bug reports:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/292129
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/202089

or if you can, try upgrading to Ubuntu 9.10 ( instructions:
http://www.ubuntu.com/getubuntu/upgrading ) (I think I didn't have any
sound problems after upgrading to 9.10, I have a thinkpad T500 though).

you might find some advices on the http://www.thinkwiki.org site too.

Regards,

Lari

Eric Lorenz (eric-emlorenz) wrote :

Lari,

Thanks for the help...I did (before I saw your reply) do the 9.10 upgrade last night, no change in the sound situation. I'll take a look at some of the other bug reports, and see if anything there can help. If not, I guess I'll have to just live with it for now until I have the time to backup, reformat and start again from scratch. <sigh>.

Thanks,
Eric

lhotari (lartsa) wrote :

One more bug to check for workarounds:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/270593

"logging out, (killing pulse-audio) followed by alsa force-reload
re-instates sound."

I'd also try suspend/resume by starting Ubuntu 9.10 from the liveCD
(installation cd). That's how you can check if some config file from
older releases causes the problem. I previously had that problem but I
cannot remember how I fixed the problem (reinstalling acpid ,
acpi-support, alsa-base or something like that).

Montel Edwards (montel) on 2010-01-09
Changed in linux (Ubuntu):
status: New → Fix Released
Eric Lorenz (eric-emlorenz) wrote :

I have tried starting off of the LiveCD and same- no sound at all. I am a little unclear as to what you are describing...would that be-

1. Log Out
2. go into a terminal session
3. issue 'alsa force-reload'

or do i have to explicitly issue 'kill pulseaudio'

I see that the status has again been changed to 'fix released'. To be honest, this has been frustrating. It seems that this issue has affect several different versions of Ubuntu, and many different laptop models. There have also been differing fixes for this. Everything I have tried has not worked. The only other possibility I can see is that somehow my internal sound module on the T43 somehow got switched 'off', but I have been in the BIOS several times and cannot find a switch for it anywhere.

I hope that somehow I have not broken my sound card permanently...as I need it for what I do. Bottom line is, the issue is not fixed for me, I hope I can find a solution soon- not sure what else to do at this point. Thanks for your help.

Eric Lorenz (eric-emlorenz) wrote :

SUCCESS!

Thank you for all being paitent with me...it appears that my failure to read the minucha (sp?) was my downfall. Early on in the notes on this bug, people talked about shutting down and restarting as opposed to re-booting. Apparently what my eyes were glossing over was the part about having to remove the battery, as well as powering down...<insert sheepish, emberrassed look here>. I was reading through the notes ONE more time tonight to see if I could catch anything else...and I found that. Did it, and all is well again.

Thanks!

Eric

Curtis Hovey (sinzui) on 2012-04-09
Changed in linux-source-2.6.20 (Ubuntu):
assignee: Registry Administrators (registry) → nobody
Displaying first 40 and last 40 comments. View all 148 comments or add a comment.